--- cmake/Modules/GrMiscUtils.cmake.orig
+++ cmake/Modules/GrMiscUtils.cmake
@@ -335,6 +335,13 @@
   endforeach(sig)
   unset(name)
 
+  #try to force generate the headers
+  execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
+    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
+    ${root} ${root}.h.t ${ARGN}
+  )
+
   #create a command to generate the headers
   add_custom_command(
     OUTPUT ${expanded_files_h}
@@ -380,6 +387,13 @@
   endforeach(sig)
   unset(name)
 
+  #try to force generate the source files
+  execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
+    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
+    ${root} ${root}.cc.t ${ARGN}
+  )
+
   #create a command to generate the source files
   add_custom_command(
     OUTPUT ${expanded_files_cc}
@@ -389,6 +403,13 @@
     ${root} ${root}.cc.t ${ARGN}
   )
 
+  #try to force generate the header files
+  execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
+    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
+    ${root} ${root}.h.t ${ARGN}
+  )
+
   #create a command to generate the header files
   add_custom_command(
     OUTPUT ${expanded_files_h}
@@ -442,6 +463,13 @@
   endforeach(sig)
   unset(name)
 
+  #try to force generate the _impl.cc files
+  execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
+    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
+    ${root} ${root}_impl.cc.t ${ARGN}
+  )
+
   #create a command to generate the _impl.cc files
   add_custom_command(
     OUTPUT ${expanded_files_cc_impl}
@@ -451,6 +479,13 @@
     ${root} ${root}_impl.cc.t ${ARGN}
   )
 
+  #try to force generate the _impl.h files
+  execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
+    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
+    ${root} ${root}_impl.h.t ${ARGN}
+  )
+
   #create a command to generate the _impl.h files
   add_custom_command(
     OUTPUT ${expanded_files_h_impl}
